package com.peetz.library.service;

import java.util.Collection;

import javax.ejb.Local;

import com.peetz.library.entity.ArticleEntity;
import com.peetz.library.entity.BookEntity;
import com.peetz.library.entity.BookshelfEntity;

@Local
public interface LibraryService {

	Collection<BookEntity> getAllBooks();

	Collection<BookshelfEntity> getAllBookshelfs();

	Collection<ArticleEntity> getAllArticles();

	void addBookshelf(String title);

	void addArticle(String title);

	BookEntity addBook(String title);

	void saveBook(BookEntity book);

}
